---
title: "Lists the business's payouts."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › organization

`GET /v1/stores/{store}/payouts`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `organization:read`

## Path parameters

- `store` (`listPayouts.path.store`; string, required) — The store's id.

## Query parameters

- `limit` (`listPayouts.query.limit`; integer, optional)
  - min 1; max 100
- `cursor` (`listPayouts.query.cursor`; string, optional)
  - minLength 1; maxLength 255; pattern `^po_[A-Za-z0-9]+$`
- `filter` (`listPayouts.query.filter`; object, optional) — `filter[<field>]=<value>` is an equality, `filter[<field>][<op>]=<value>` names the operator; `in` repeats the parameter.

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/payouts' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/payouts';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/payouts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Lists the business's payouts.

#### Example

```json
{
  "items": [
    {
      "id": "string",
      "amount": 0,
      "currency": "string",
      "exponent": 0,
      "status": "string",
      "method": "string",
      "type": "string",
      "arrives_at": "string",
      "created_at": "string",
      "destination": {
        "id": "string",
        "bank_name": "string",
        "last4": "string",
        "currency": "string"
      },
      "statement_descriptor": "string",
      "failure_message": "string"
    }
  ],
  "cursor": "string",
  "total": 0,
  "facets": {
    "property1": {
      "property1": 0,
      "property2": 0
    },
    "property2": {
      "property1": 0,
      "property2": 0
    }
  }
}
```

- `items` (`listPayouts.response.200.items`; array<object>, required)
  - `id` (`listPayouts.response.200.items.id`; string, required)
  - `amount` (`listPayouts.response.200.items.amount`; any of, required)
    - any of: `number`, `null`
  - `currency` (`listPayouts.response.200.items.currency`; string, required)
  - `exponent` (`listPayouts.response.200.items.exponent`; any of, required)
    - any of: `number`, `null`
  - `status` (`listPayouts.response.200.items.status`; string, required)
  - `method` (`listPayouts.response.200.items.method`; string, required)
  - `type` (`listPayouts.response.200.items.type`; string, required)
  - `arrives_at` (`listPayouts.response.200.items.arrives_at`; string, required)
  - `created_at` (`listPayouts.response.200.items.created_at`; string, required)
  - `destination` (`listPayouts.response.200.items.destination`; any of, required)
    - any of: `object`, `object`, `null`
  - `statement_descriptor` (`listPayouts.response.200.items.statement_descriptor`; any of, required)
    - any of: `string`, `null`
  - `failure_message` (`listPayouts.response.200.items.failure_message`; any of, required)
    - any of: `string`, `null`
- `cursor` (`listPayouts.response.200.cursor`; any of, required)
  - any of: `string`, `null`
- `total` (`listPayouts.response.200.total`; number, optional)
- `facets` (`listPayouts.response.200.facets`; map<map<number>>, optional)

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`listPayouts.response.default.type`; string, required)
  - format `uri`
- `title` (`listPayouts.response.default.title`; string, required)
- `status` (`listPayouts.response.default.status`; integer, required)
- `detail` (`listPayouts.response.default.detail`; string, required)
- `code` (`listPayouts.response.default.code`; string, optional)
- `context` (`listPayouts.response.default.context`; object, optional)
- `reached_core` (`listPayouts.response.default.reached_core`; boolean, optional)
- `core_answer` (`listPayouts.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/list-payouts/index.md
